<template>
     <ac-dual-list
              v-model="dualValues"
              :options="[
              { label: 'Option 1', value: '01' },
              { label: 'Option 2', value: '02' },
            ]"
              :collection_options="collection"
              :dropdown_options="dropdown"
              @change="event_test"
              @dropdown_click="event_test"
            />
</template>

<script>
export default {
  data: function () {
      return {
          dualValues: [{ label: 'Option 3', value: '03' }],
          dropdown: {
        options: [
          {
            label: 'Edit',
            type: 'edit',
            icon: 'fas fa-pencil-alt',
          },
          {
            label: 'Delete',
            type: 'delete',
            icon: 'fas fa-trash-alt',
          },
        ],
        button_options: {
          icon: 'fas fa-ellipsis-v',
          variant: 'outline-secondary',
          size: 'sm',
          right: true,
        },
      },
      collection: {
        url: "https://jsonplaceholder.typicode.com/posts/1/comments",
        loading_image:
          "https://loading.io/spinners/dual-ring/lg.dual-ring-loader.gif",
        ac_cursor: {
          postId: 1
        },
        method: "GET",
        params: {
          headers: {
            "Custom-Header": "My custom header"
          }
        },
        sort_key: "name"
      }
      }
  },
  methods: {
    event_test(data) {
      console.log(data);
    }
  }
}
</script>

<style>

</style>
